Imports System.ComponentModel

Public Class Customer
  Implements INotifyPropertyChanged

  Private mName As String
  Public Event PropertyChanged As PropertyChangedEventHandler _
      Implements INotifyPropertyChanged.PropertyChanged


  Public Property Name() As String
    Get
      Return mName
    End Get
    Set(ByVal value As String)
      mName = value
      OnPropertyChanged("Name")
    End Set
  End Property

  Protected Sub OnPropertyChanged(ByVal name As String)
    RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(name))
  End Sub

End Class
